Page MenuHomePhabricator

Jenkins bot ignores the patches submitted by Mpaa
Closed, ResolvedPublic

Description

See https://gerrit.wikimedia.org/r/#/c/pywikibot/core/+/443294/
After I got to the patch, jenkins bot was ignoring it completely, hours without a response. I added jenkins bot to reviewers. Nothing happenned, so I typed recheck. -1 was added. But after that jenkins bot ignored new patch and also word recheck.

Event Timeline

Dvorapa created this task.Jul 1 2018, 8:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2018, 8:39 PM

@Mpaa's gerrit account does not seem to have an email address associated to it (owner:"Mpaa (1065)" while searching for his patches).

At least basic checks should've been ran:

- name: pywikibot/core
  check:
    - pywikibot-core-tox-docker
  test:
    - pywikibot-core-tox-docker
    - pywikibot-core-tox-nose-docker
    - pywikibot-core-tox-nose34-docker
    - pywikibot-core-tox-doc-docker
  gate-and-submit:
    - pywikibot-core-tox-docker
    - pywikibot-core-tox-nose-docker
    - pywikibot-core-tox-nose34-docker
    - pywikibot-core-tox-doc-docker
  postmerge:
    - pywikibot-core-tox-publish

Copying from the merged ticket as well:

Mpaa's account strangely does not have any email address when searching for it. That might be the reason? I get owner:"Mpaa (1065)" instead of Name <email@address> that is displayed for all others.

Peachey88 renamed this task from Jenkins bot ignores the patch for some reason to Jenkins bot ignores the patches submitted by Mpaa.Jul 3 2018, 8:52 PM
Peachey88 added a subscriber: Dalba.

@Mpaa's gerrit account does not seem to have an email address associated to it (owner:"Mpaa (1065)" while searching for his patches).
At least basic checks should've been ran:

- name: pywikibot/core
  check:
    - pywikibot-core-tox-docker
  test:
    - pywikibot-core-tox-docker
    - pywikibot-core-tox-nose-docker
    - pywikibot-core-tox-nose34-docker
    - pywikibot-core-tox-doc-docker
  gate-and-submit:
    - pywikibot-core-tox-docker
    - pywikibot-core-tox-nose-docker
    - pywikibot-core-tox-nose34-docker
    - pywikibot-core-tox-doc-docker
  postmerge:
    - pywikibot-core-tox-publish

Copying from the merged ticket as well:
Mpaa's account strangely does not have any email address when searching for it. That might be the reason? I get owner:"Mpaa (1065)" instead of Name <email@address> that is displayed for all others.

This would be to do with integration/config, in gerrit it's supported not to have a email (which means they didn't have a email in wikitech when they signed up in gerrit)

In the All-Users database for refs/users/65/1065, the preferredEmail got removed on Jun 30th:

Author: Gerrit Code Review <gerrit@wikimedia.org>
Date:   Sat Jun 30 21:31:52 2018 +0000

  Update account

diff --git a/account.config b/account.config
index 2e91b6f..d5dcc18 100644
--- a/account.config
+++ b/account.config
@@ -1,3 +1,2 @@
 [account]
        fullName = Mpaa
-       preferredEmail = mpaa.wiki@gmail.com

@Mpaa your email should come from LDAP and be listed in your Gerrit setting https://gerrit.wikimedia.org/r/#/settings/

And it is apparently no more listed as your "Preferred Email" on https://gerrit.wikimedia.org/r/#/settings/contact . So maybe there you have to Register New Email ... and then confirm it via a link that would have been mailed to the address?

As far as I can see via ldapsearch mpaa's account on Labs do have an email set. Not sure about Wikitech. Maybe yes, register a new mail via Gerrit.

Should a missing email in Gerrit really be a blocker to run tests on a patch? (I would understand it is a blocker to e.g. review code or something, but for testing?)

Mpaa added a comment.Jul 5 2018, 7:30 PM

In the All-Users database for refs/users/65/1065, the preferredEmail got removed on Jun 30th:

Author: Gerrit Code Review <gerrit@wikimedia.org>
Date:   Sat Jun 30 21:31:52 2018 +0000
  Update account
diff --git a/account.config b/account.config
index 2e91b6f..d5dcc18 100644
--- a/account.config
+++ b/account.config
@@ -1,3 +1,2 @@
 [account]
        fullName = Mpaa
-       preferredEmail = mpaa.wiki@gmail.com

@Mpaa your email should come from LDAP and be listed in your Gerrit setting https://gerrit.wikimedia.org/r/#/settings/
And it is apparently no more listed as your "Preferred Email" on https://gerrit.wikimedia.org/r/#/settings/contact . So maybe there you have to Register New Email ... and then confirm it via a link that would have been mailed to the address?

I messed up with 'Identities' and I have deleted it in one of my attempts, without realizing it was not possible to recreate.

I can't register again the email address as it is already present in the dropdown and trying to register it again gives an error.
At the same time, if I reselect it from the dropdown list, I can't save and the next time I got to /settings is blank again.

Mpaa added a comment.Jul 5 2018, 7:32 PM

OK, I was using the old UI, with the new UI now I have a preferred email.
Let's see if this works now.

Mpaa closed this task as Resolved.Jul 5 2018, 9:30 PM
Mpaa claimed this task.

Seems OK now.
Thanks and sorry for the inconvenience.

\O/ Thank you to have reported back!